# class KContainerLayoutItem | This class represents one widget inside the one KContainerLayout. More...
Internal Use Only
Full name | `KContainerLayout::KContainerLayoutItem`
Definition | `#include <kcontainer.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KContainerLayoutItem (QWidget *w,bool e=FALSE,bool f=FALSE,int p=0)
- void setExpand (bool b)
- void setFill (bool b)
- void setPadding (int i)
- QWidget * widget ()
- bool expand () const
- bool fill () const
- int padding () const

#### Protected Members

- QWidget *_widget
- bool _expand
- bool _fill
- int _padding

## Detailed Description

This class represents one widget inside the one KContainerLayout.

See also: KContainerLayout

KContainerLayoutItem (QWidget *w,bool e=FALSE,bool f=FALSE,int p=0) | ### KContainerLayoutItem

Creates one KContIem

Parameters:

w | The widget associated with this KContainerLayoutItem
e | Expand will make the widget to use all space alocated to it
f | Fill will make the widget be sized to ocupy all the space allocated to it. Only makes sense with expand = TRUE
p | Padding is the size the widget will use as borders on both sides of the space allocated to it.

void setExpand (bool b) | ### setExpand

void setFill (bool b) | ### setFill

void setPadding (int i) | ### setPadding

QWidget * widget () | ### widget

bool expand () | ### expand

[const]

bool fill () | ### fill

[const]

int padding () | ### padding

[const]

QWidget * _widget | ### _widget

[protected]

bool _expand | ### _expand

[protected]

bool _fill | ### _fill

[protected]

int _padding | ### _padding

[protected]

- Version: 0.1
- Author: Jorge Monteiro <jomo@casema.net>
- Generated: root@i386.ports.openbsd.org on Wed Apr 25 13:58:24 2001, using kdoc 2.0a53.